// $Id: Icons.h,v 1.8 2012/01/18 10:21:23 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#ifndef Icons_h
#define Icons_h

/*!
\file    Icons.h
\brief   Icon filenames
\author  Hugo Pereira
\version $Revision: 1.8 $
\date    $Date: 2012/01/18 10:21:23 $
*/

#include <QString>

/*
BaseIcons is not necessary here
but it is included to avoid conflicts
between icons wrapping names
*/
#include "BaseIcons.h"

//! namespace for icon static name wrappers
namespace ICONS
{
    static const QString ADD_TAB="tab-new.png";
    static const QString REMOVE_TAB="tab-close.png";
    static const QString RESUBMIT="edit-redo.png";
    static const QString KILL="edit-delete.png";
    static const QString CLEAR="user-trash.png";
    static const QString USERS="edit-find-user.png";
    static const QString RUNNING="view-history.png";
    static const QString PAUSE="media-playback-pause.png";
    static const QString SAVE_AS="document-save-as.png";
};

#endif
